
function GetId(id){return document.getElementById(id);}
function getInfoId(str){
return "d_"+str.split('_')[1];}
var clewInfo=new Array(
"请输入4-16位字符(英文、数字、下划线的组合)",
"请输入6-16位密码",
"请再次输入密码",
"忘记密码时系统会将密码发至您的邮箱",
"请填写正确的联系手机");
var inputArr=new Array('r_username','r_password1','r_password2','r_email','r_phone');
function init_reg(){
for(i=0;i<5;i++){
GetId(getInfoId(inputArr[i])).innerHTML=clewInfo[i];}}
init_reg();
function reg_getFocus(el){
var i=0;
for(;i<5;i++){
if(el.id==inputArr[i])
break;}
if(el!=null){
GetId(getInfoId(el.id)).className="div_focus";
GetId(getInfoId(el.id)).innerHTML=clewInfo[i];}
return;}
function sendChkRst(el,bool,str){
if(bool)
GetId(getInfoId(el.id)).className="chk_success";
else{
GetId(getInfoId(el.id)).className="chk_false";}
GetId(getInfoId(el.id)).innerHTML=str;}
function chk_r_name(el){
var uName=el.value.Trim();
if(uName==""){
sendChkRst(el,false,'用户名不能为空');
return;}
if(uName.length<4||uName.length>16){
sendChkRst(el,false,'用户名长度最大为16位,最少4位');
return;}
var reg=/^[A-Za-z]\w*$/;
if(reg.test(uName)){
sendChkRst(el,true,'用户名已输入');}
else{
sendChkRst(el,false,'用户名只能为英文字母,数字和下划线');
return;}}
function chk_r_pass1(el){
var uPass=el.value.Trim();
if(uPass==""){
sendChkRst(el,false,'密码不能为空');
return;}
if(uPass.length<6||uPass.length>16){
sendChkRst(el,false,'密码长度最大为16位,最少6位');
return;}
var reg=/^[\w\u4E00-\u9FA5\uF900-\uFA2D]*$/;
if(reg.test(uPass)){
sendChkRst(el,true,'密码已输入');
return;}
else{
sendChkRst(el,false,'密码只能为英文字母,数字和下划线');
return;}}
function chk_r_pass2(el){
var uPass1=el.value.Trim();
var uPass2=GetId("r_password1").value.Trim();
if(uPass1!=uPass2){
sendChkRst(el,false,'两次密码不相等');
return;}
else{
if(uPass1!="")
sendChkRst(el,true,'密码输入成功');
else
GetId(getInfoId(el.id)).className='r_default';
return;}}
function chk_r_email(el){
var uPass=el.value.Trim();
if(uPass=="")
return true;
if(uPass==""){
sendChkRst(el,false,'邮件地址不能为空');
return;}
if(uPass.length<6){
sendChkRst(el,false,'邮件地址最少6个字符');
return;}
var reg=/^\s*([\w-]+(\.\w+)*@([\w-]+\.)+\w{2,3})\s*$/;
if(reg.test(uPass)){
sendChkRst(el,true,'邮件地址已输入');
return;}
else{
sendChkRst(el,false,'邮件地址格式错误');
return;}}
function chkMobiPhone(){
var el=document.getElementById("r_phone");
var mobi=el.value.Trim();
if(mobi=="")
return true;
var reg=/^1[358]\d{9}$/;
if(reg.test(mobi)){
sendChkRst(el,true,'手机号码已输入');
return true;}
else{
sendChkRst(el,false,'手机号码有误');
return false;}}
function subRegister(){
if(!GetId("r_agree").checked){
alert('您没有同意注册条款,将无法注册成为本站会员');
return;}
for(var i=0;i<5;i++){
if(GetId(getInfoId(inputArr[i])).className!='chk_success'){
alert(clewInfo[i]);
GetId(inputArr[i]).focus();
return false;}}
showObj('div_bt',0);showObj('div_loading',1);
var existRst=member.existMemberName(GetId("r_username").value.Trim()).value;
if(existRst!='allow'){
alert('用户名已存在');
sendChkRst(GetId("r_username"),false,'用户名已存在，请重新输入用户名');
showObj('div_bt',1);showObj('div_loading',0);
return;}
var sendStr=new Array();
for(var i=0;i<inputArr.length;i++){
sendStr[i]=GetId(inputArr[i]).value.Trim();}
sendStr[5]=getRadioValue('rbtType');
var rtnStr=member.Register(sendStr).value;
if(rtnStr=="RegisterSuccessful"){
alert("注册成功");
if(getRadioValue('rbtType')=='2'){
location.href="/member/CompanyInfo.aspx";}
else{
location.href="/member/personHome.aspx";}}
else
msg(rtnStr);}

